com.intellij.diagnostic.PluginException

com/widerwille/afterglow/AfterglowTheme : Unsupported major.minor version 52.0 [Plugin: com.widerwille.afterglow]

Samebug tips4

This might be caused by and outdated version of Java, SonarQube now uses Java 8 as default. You might upgrade java or use an older version of SonarQube.

If you're using intellij plugin of sonarqube, you might have to set the JAVA_HOME ambient variable manually.

Don't give up yet. Our experts can help. Paste your full stack trace to get a solution.

Solutions on the web487

  • com/widerwille/afterglow/AfterglowTheme : Unsupported major.minor version 52.0 [Plugin: com.widerwille.afterglow]
  • via GitHub by hanyou
    , 1 year ago
    com/widerwille/afterglow/AfterglowTheme : Unsupported major.minor version 52.0 [Plugin: com.widerwille.afterglow]
  • com/jiyuanime/ActivatePowerModeApplicationPlugin : Unsupported major.minor version 52.0 [Plugin: com.jiyuanime.ActivatePowerModeApplicationPlugin]
  • Stack trace

    • com.intellij.diagnostic.PluginException: com/widerwille/afterglow/AfterglowTheme : Unsupported major.minor version 52.0 [Plugin: com.widerwille.afterglow] at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:130) at com.intellij.ide.plugins.cl.PluginClassLoader.a(PluginClassLoader.java:77) at com.intellij.ide.plugins.cl.PluginClassLoader.loadClass(PluginClassLoader.java:66) at java.lang.ClassLoader.loadClass(ClassLoader.java:247) at java.lang.Class.forName0(Native Method) at java.lang.Class.forName(Class.java:249) at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:427) at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.a(ComponentManagerImpl.java:417) at com.intellij.openapi.components.impl.ComponentManagerImpl$ComponentsRegistry.access$000(ComponentManagerImpl.java:403) at com.intellij.openapi.components.impl.ComponentManagerImpl.a(ComponentManagerImpl.java:108) at com.intellij.openapi.components.impl.ComponentManagerImpl.init(ComponentManagerImpl.java:87) at com.intellij.openapi.components.impl.stores.ApplicationStoreImpl.load(ApplicationStoreImpl.java:101) at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:499) at com.intellij.openapi.application.impl.ApplicationImpl.load(ApplicationImpl.java:481) at com.intellij.idea.IdeaApplication.run(IdeaApplication.java:170) at com.intellij.idea.MainImpl$1$1$1.run(MainImpl.java:60) at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209) at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:715) at java.awt.EventQueue.access$400(EventQueue.java:82) at java.awt.EventQueue$2.run(EventQueue.java:676) at java.awt.EventQueue$2.run(EventQueue.java:674) at java.security.AccessController.doPrivileged(Native Method) at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:86) at java.awt.EventQueue.dispatchEvent(EventQueue.java:685) at com.intellij.ide.IdeEventQueue.dispatchEvent(IdeEventQueue.java:362) at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:296) at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:211) at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:201) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:196) at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:188) at java.awt.EventDispatchThread.run(EventDispatchThread.java:122) Caused by: java.lang.UnsupportedClassVersionError: com/widerwille/afterglow/AfterglowTheme : Unsupported major.minor version 52.0 at java.lang.ClassLoader.defineClass1(Native Method) at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637) at java.lang.ClassLoader.defineClass(ClassLoader.java:621) at java.lang.ClassLoader.defineClass(ClassLoader.java:471) at com.intellij.util.lang.UrlClassLoader._defineClass(UrlClassLoader.java:259) at com.intellij.util.lang.UrlClassLoader.defineClass(UrlClassLoader.java:255) at com.intellij.util.lang.UrlClassLoader._findClass(UrlClassLoader.java:231) at com.intellij.ide.plugins.cl.PluginClassLoader.b(PluginClassLoader.java:124)

    Write tip

    You have a different solution? A short tip here would help you and many other users who saw this issue last week.

    Users with the same issue

    Unknown user
    Once, 11 months ago
    Unknown user
    Once, 1 year ago
    Unknown user
    Once, 11 months ago
    Unknown user
    Once, 11 months ago
    Unknown user
    Once, 1 year ago
    194 more bugmates